Package org.apache.sysds.runtime.frame.data.lib

## Interface FrameUtil

    public interface FrameUtil

### Field Summary

Fields
`static Pattern` `booleanPattern`
`static Pattern` `dotSplitPattern`
`static Pattern` `floatPattern`
`static Pattern` `integerFloatPattern`
`static org.apache.commons.logging.Log` `LOG`
`static String` `SCHEMA_SEPARATOR`

### Method Summary

Static Methods
`static Array<?>[]` `add​(Array<?>[] ar, Array<?> e)`
`static boolean` `isDefault​(String v, Types.ValueType t)`
`static Types.ValueType` `isFloatType​(String val, int len)`
`static Types.ValueType` `isIntType​(String val, int len)`
`static Types.ValueType` `isType​(double val)`
`static Types.ValueType` `isType​(double val, Types.ValueType min)`
`static Types.ValueType` `isType​(String val)`
`static Types.ValueType` `isType​(String val, Types.ValueType minType)` Get type type subject to minimum another type.
`static FrameBlock` `mergeSchema​(FrameBlock temp1, FrameBlock temp2)`

### Field Detail

#### LOG

    static final org.apache.commons.logging.Log LOG

#### SCHEMA_SEPARATOR

    static final String SCHEMA_SEPARATOR

See Also:
  Constant Field Values

#### booleanPattern

    static final Pattern booleanPattern

#### integerFloatPattern

    static final Pattern integerFloatPattern

#### floatPattern

    static final Pattern floatPattern

#### dotSplitPattern

    static final Pattern dotSplitPattern

### Method Detail

#### add

    static Array<?>[] add​(Array<?>[] ar,
                          Array<?> e)

#### isIntType

    static Types.ValueType isIntType​(String val,
                                     int len)

#### isFloatType

    static Types.ValueType isFloatType​(String val,
                                       int len)

#### isType

    static Types.ValueType isType​(String val,
                                  Types.ValueType minType)

Get type type subject to minimum another type. This enable skipping checking for boolean type if floats are already found.

Parameters:
  `val` - The string value to check
  `minType` - the minimum type to check.
Returns:
  ValueType subject to restriction

#### isType

    static Types.ValueType isType​(String val)

#### isType

    static Types.ValueType isType​(double val)

#### isType

    static Types.ValueType isType​(double val,
                                  Types.ValueType min)

#### mergeSchema

    static FrameBlock mergeSchema​(FrameBlock temp1,
                                  FrameBlock temp2)

#### isDefault

    static boolean isDefault​(String v,
                             Types.ValueType t)